routes/web.php
<?php

use App\Http\Middleware\CheckRole;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;
use App\Http\Middleware\CheckLoginAdmin;
use App\Http\Middleware\CheckLoginCustomer;
use App\Http\Controllers\Admin_manager\AreaController;
use App\Http\Controllers\Admin_manager\BillController;
use App\Http\Controllers\Admin_manager\BlogController;
use App\Http\Controllers\Admin_manager\TimeController;
use App\Http\Controllers\Admin_manager\AdminController;
use App\Http\Controllers\Admin_manager\PitchController;
use App\Http\Controllers\Admin_manager\CustomerController;
use App\Http\Controllers\Customer_manager\OrderController;
use App\Http\Controllers\Admin_manager\DashboardController;
use App\Http\Controllers\Customer_manager\SignupController;
use App\Http\Controllers\Admin_manager\AdminLoginController;
use App\Http\Controllers\Admin_manager\AdminXAreaController;
use App\Http\Controllers\Admin_manager\OrderAdminController;
use App\Http\Controllers\Customer_manager\ContactController;
use App\Http\Controllers\Admin_manager\CustomBannerController;
use App\Http\Controllers\Admin_manager\ProfileAdminController;
use App\Http\Controllers\Customer_manager\IntroduceController;
use App\Http\Controllers\Customer_manager\BlogDetailController;
use App\Http\Controllers\Admin_manager\IntroduceAdminController;
use App\Http\Controllers\Customer_manager\BillCustomerController;
use App\Http\Controllers\Customer_manager\CustomerLoginController;
use App\Http\Controllers\Customer_manager\PitchCustomerController;
use App\Http\Controllers\Customer_manager\ChangePasswordController;
use App\Http\Controllers\Customer_manager\ProfileCustomerController;
use App\Http\Controllers\Admin_manager\ChangePasswordAdminController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

//login admin
Route::get('/login_admin', [AdminLoginController::class, 'index'])->name('login-admin');
Route::post('/login_admin_process', [AdminLoginController::class, 'LoginProcess'])->name('login-admin-process');

//login customer
Route::get('/login', [CustomerLoginController::class, 'index'])->name('login');
Route::post('/login_process', [CustomerLoginController::class, 'LoginProcess'])->name('login-process');
Route::get('/log_out', [CustomerLoginController::class, 'LogOut'])->name('log-out');
//user

// //home
Route::get('/', [HomeController::class, 'index'])->name('home');
//web
Route::get('/pitch_page/{id}', [PitchCustomerController::class, 'index'])->name('pitch_page');
//introduce
Route::get('/about-us.html', [IntroduceController::class, 'index']);
Route::get('/contact-us', [ContactController::class, 'index']);

Route::get('/blog_detail/{id}', [BlogDetailController::class, 'index']);

// quen mat khau khach hang
Route::get('/forget_password.html', [CustomerLoginController::class, 'ForgetPass']);
Route::post('/process_forget_pass_customer', [CustomerLoginController::class, 'ProcessForgetPass']);

//quen mat khau admin
Route::get('/forget_password_admin.html', [AdminLoginController::class, 'ForgetPass']);
Route::post('/process_forget_pass_admin', [AdminLoginController::class, 'ProcessForgetPass']);


Route::middleware([CheckLoginCustomer::class])->group(function () {
    Route::get('/order/{area_id}/{pitch_id}/{search}', [OrderController::class, 'index'])->name('order');
    Route::post('/order_process', [OrderController::class, 'store'])->name('order-process');
    //
    Route::get('/bill_page', [BillCustomerController::class, 'index'])->name('bill-page');
    Route::post('/destroy_process/{bill_id}', [BillCustomerController::class, 'destroy_process']);

    Route::resource('profile_customer', ProfileCustomerController::class);
    Route::resource('change_password', ChangePasswordController::class);
});

Route::resource('signup', SignupController::class);
Route::middleware([CheckLoginAdmin::class])->group(function () {
    //admin
    Route::get('/dashboard', [DashboardController::class, 'index'])->name('dashboard');
    Route::middleware([CheckRole::class])->group(function () {
        Route::resource('admin', AdminController::class);
        Route::resource('area', AreaController::class);
        Route::resource('introduce', IntroduceAdminController::class);
        Route::resource('admin_x_area', AdminXAreaController::class);
    });
    Route::get('/order_admin/{area_id}/{pitch_id}/{search}', [OrderAdminController::class, 'index']);
    Route::post('/order_admin_process', [OrderAdminController::class, 'store']);
    Route::resource('customer', CustomerController::class);
    Route::resource('pitch', PitchController::class);
    Route::resource('bill', BillController::class);
    Route::resource('time', TimeController::class);
    Route::resource('blog', BlogController::class);
    Route::resource('profile_admin', ProfileAdminController::class);
    Route::resource('change_password_admin', ChangePasswordAdminController::class);
    Route::get('/log_out_admin', [AdminLoginController::class, 'LogOut'])->name('log-out-admin');
});

app/Http/Controllers/Admin_manager/AdminController.php
<?php

namespace App\Http\Controllers\Admin_manager;

use Exception;
use App\Models\AreaModel;
use App\Models\BillModel;
use App\Models\AdminModel;
use Illuminate\Http\Request;
use App\Models\ListBillModel;
use App\Models\ListAdminModel;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Redirect;

class AdminController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request)
    {
        $del_flag = $request->get('def_flag');
        if ($del_flag == null) {
            $del_flag = 1;
        }
        $id_admin = $request->session()->get('id');
        $admin = AdminModel::find($id_admin);
        if ($admin->role == 0) {
            $bill = ListBillModel::where('admin_id', '=', $admin->id)->where('active', 1)->get();
        } else {
            $bill = ListBillModel::where('active', 1)->get();
        }
        $listAdmin = AdminModel::where('role', 0)->where('del_flag', $del_flag)->get();

        return view('admin_manager.admin.index', [
            'listAdmin' => $listAdmin,
            'admin' => $admin,
            'bill' => $bill,
            'del_flag' => $del_flag,
        ]);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(Request $request)
    {
        $id_admin = $request->session()->get('id');
        $admin = AdminModel::find($id_admin);
        if ($admin->role == 0) {
            $bill = ListBillModel::where('admin_id', '=', $admin->id)->where('active', 1)->get();
        } else {
            $bill = ListBillModel::where('active', 1)->get();
        }
        $listArea = AreaModel::all();
        return view('admin_manager.admin.create', [
            'listArea' => $listArea,
            'admin' => $admin,
            'bill' => $bill,
        ]);
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        $validated = $request->validate([
            'name' => 'required|min:2|max:255',
            'email' => 'required|unique:admin',
            'password' => 'required|min:8|',
            'gender' => 'required|',
            'phone' => 'required|digits:10|regex:/(0)[0-9]{9}/',
            'date_birth' => 'required',
            'address' => 'required',
        ], [
            'name.required' => "Tên không được để trống!",
            'name.min' => "Tên có độ dài không được nhỏ hơn 2 ký tự!",
            'name.max' => "Tên có độ dài không được lớn hơn 255 ký tự!",
            'email.required' => "Email không được để trống!",
            'email.unique' => "Email đã tồn tại!",
            'password.required' => "Mật khẩu không được để trống!",
            'password.min' => "Mật khẩu tối đa 8 ký tự!",
            'gender.required' => "Giới tính không được để trống!",
            'phone.required' => "Số điện thoại không được để trống!",
            'phone.digits' => "Số điện thoại không hợp lệ, chỉ có 10 chữ số!",
            'phone.regex' => "Số điện thoại không hợp lệ!",
            'date_birth.required' => "Ngày sinh không được để trống!",
            'address.required' => "Địa chỉ không được để trống!",
        ]);

        $name = $request->get('name');
        $email = $request->get('email');
        $password = $request->get('password');
        $gender = $request->get('gender');
        $phone = $request->get('phone');
        $dateBirth = $request->get('date_birth');
        $address = $request->get('address');

        $admin = new AdminModel();
        $admin->name = $name;
        $admin->email = $email;
        $admin->password = $password;
        $admin->gender = $gender;
        $admin->phone = $phone;
        $admin->date_birth = $dateBirth;
        $admin->address = $address;
        $admin->role = 0;
        $admin->del_flag = 1;
        $admin->save();
        return redirect()->back()->with('success', 'Thêm nhân viên thành công!');;
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Request $request, $id)
    {
        try {
            $admin_edit = ListAdminModel::where('id', $id)->firstOrFail();
            $id_admin = $request->session()->get('id');
            $admin = AdminModel::find($id_admin);
            if ($admin->role == 0) {
                $bill = ListBillModel::where('admin_id', '=', $admin->id)->where('active', 1)->get();
            } else {
                $bill = ListBillModel::where('active', 1)->get();
            }
            // $admin_edit = ListAdminModel::find($id);
            $listArea = AreaModel::all();
            return view('admin_manager.admin.edit', [
                'admin' => $admin,
                'listArea' => $listArea,
                'admin_edit' => $admin_edit,
                'bill' => $bill,
            ]);
        } catch (Exception $e) {
            return redirect()->back()->with('error', 'Lỗi!');
        }
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $id)
    {
        $admin = AdminModel::find($id);

        $validated = $request->validate([
            'name' => 'required|min:2|max:255',
            'phone' => 'required|digits:10|regex:/(0)[0-9]{9}/',
            'date_birth' => 'required',
            'address' => 'required',
            'del_flag' => 'required',
        ], [
            'phone.regex' => "Số điện thoại không hợp lệ!",
            'name.required' => "Tên không được để trống!",
            'name.min' => "Tên có độ dài không được nhỏ hơn 2 ký tự!",
            'name.max' => "Tên có độ dài không được lớn hơn 255 ký tự!",
            'phone.digits' => "Số điện thoại không hợp lệ, chỉ có 10 chữ số!",
            'phone.max' => "Số điện thoại tối đa 10 số!",
            'phone.numeric' => "Số điện thoại chỉ được nhập ký tự dạng số!",
            'date_birth.required' => "Ngày sinh không được để trống!",
            'address.required' => "Địa chỉ không được để trống!",
            'del_flag.required' => "Trạng thái hoạt động không được để trống!",
        ]);
        $admin->name = $request->get('name');
        $admin->date_birth = $request->get('date_birth');
        $admin->gender = $request->get('gender');
        $admin->phone = $request->get('phone');
        $admin->address = $request->get('address');
        $admin->del_flag = $request->get('del_flag');
        $admin->save();
        return Redirect::route('admin.index')->with('success', 'Cập nhật thông tin thành công!');;
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

app/Http/Controllers/Admin_manager/AdminLoginController.php
<?php

namespace App\Http\Controllers\Admin_manager;

use Exception;
use App\Jobs\SendMail;
use App\Models\AdminModel;
use App\Jobs\SendMailAdmin;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Redirect;

class AdminLoginController extends Controller
{
    public function index()
    {
        return view('admin_manager.auth.login');
    }
    public function LoginProcess(Request $request)
    {
        $email = $request->get('email');
        $password = $request->get('password');

        $validated = $request->validate([
            'email' => 'required|',
            'password' => 'required|',
        ], [
            'email.required' => "Email không được để trống!",
            'password.required' => "Mật khẩu không được để trống!",
        ]);

        try {
            $admin = AdminModel::where('email', "$email")->where('password', "$password")->where('del_flag', 1)->firstOrFail();
            $request->session()->put('id', $admin->id);
            $request->session()->put('role', $admin->role);
            return Redirect::route('dashboard');
        } catch (Exception $e) {
            return Redirect::route('login-admin')->with('error', 'Email hoặc mật khẩu không đúng!');
        }
    }
    public function LogOut(Request $request)
    {
        $request->session()->flush();
        return Redirect::route('login-admin');
    }

    public function ForgetPass()
    {
        return view('admin_manager.auth.forget_pass');
    }

    public function ProcessForgetPass(Request $request)
    {
        $emailAdmin = $request->get('email');
        // kiểm tra trên DB 
        $check_email = AdminModel::where('email', $emailAdmin)->count();
        if ($check_email != 0) {
            SendMailAdmin::dispatch($emailAdmin)->delay(now()->addSeconds(2));
            return Redirect::route('login-admin')->with('success', 'Mật khẩu mới đã được gửi đến Email của bạn!');
        } else {
            return Redirect::route('login-admin')->with('error', 'Lỗi, Email của bạn chưa được đăng ký với chúng tôi!');
        }
    }
}

app/Http/Controllers/Admin_manager/ChangePasswordAdminController.php
<?php

namespace App\Http\Controllers\Admin_manager;

use App\Models\BillModel;
use App\Models\AdminModel;
use Illuminate\Http\Request;
use App\Models\ListBillModel;
use App\Http\Controllers\Controller;

class ChangePasswordAdminController extends Controller
{
    public function index(Request $request)
    {
        $id_admin = $request->session()->get('id');
        $admin = AdminModel::find($id_admin);
        if($admin->role == 0){
            $bill = ListBillModel::where('admin_id', '=', $admin->id)->where('active', 1)->get();
        }
        else{
            $bill = ListBillModel::where('active', 1)->get();
        }
        return view('admin_manager.change_password_admin.index', [
            'bill' => $bill,
            'admin' => $admin,
        ]);
    }
    public function update(Request $request, $id)
    {
        $old_password = $request->get('old_password');
        $new_password = $request->get('new_password');
        $repeat_new_password = $request->get('repeat_new_password');

        $count = AdminModel::where('id', $id)->where('password', $old_password)->count();
        if ($count == 0) {
            return redirect()->back()->with('error', 'Mật khẩu hiện tại không chính xác!');
        }

        $validated = $request->validate([
            'old_password' => 'required|',
            'new_password' => 'required|min:8',
        ], [
            'old_password.required' => "Mật khẩu hiện tại không được để trống!",
            'new_password.required' => "Mật khẩu mới không được để trống!",
            'new_password.min' => "Mật khẩu mới tối thiểu 8 ký tự!",
        ]);

        if ($new_password == $repeat_new_password) {
            $passAdmin = AdminModel::find($id);
            $passAdmin->password = $new_password;
            $passAdmin->save();
            return redirect()->back()->with('success', 'Đổi mật khẩu thành công!');
        } else {
            return redirect()->back()->with('error', 'Mật khẩu xác nhận không đúng!');
        }
    }
}

resources/views/admin_manager/area/create.blade.php
@extends('layout.admin')

@section('content')
    <a href="/area" class="btn btn-primary">Quay lại</a>
    <h1>Thêm khu vực</h1>
    @if ($message = Session::get('success'))
        <div class="section cd-section section-notifications" id="notifications">
            <div class="alert alert-success">
                <div>
                    <div class="alert-icon">
                        <i class="material-icons">check</i>
                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="material-icons">clear</i></span>
                    </button>
                    <h3>{{ $message }}</h3>
                </div>
            </div>
        </div>
    @endif
    {{-- validate --}}
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li><span style="font-size: 19px">{{ $error }}</span></li>
                @endforeach
            </ul>
        </div>
    @endif
    <form action="{{ route('area.store') }}" method="post" enctype="multipart/form-data">
        @csrf
        <div class="table-responsive">
            <table class="table table-striped">
                <tr>
                    <th>
                        Tên khu vực
                    </th>
                    <td>
                        <input type="text" name="area_name" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Chọn người quản lý
                    </th>
                    <td>
                        <div class="col-md-5">
                            <select name="admin_id" class="selectpicker" data-style="btn btn-primary btn-round">
                                @if ($listAdmin->count() == 0)
                                    <option disabled>Không còn nhân viên phù hợp</option>
                                @else
                                    @foreach ($listAdmin as $data)
                                        <option value="{{ $data->id }}">
                                            {{ $data->name }}
                                        </option>
                                    @endforeach
                                @endif
                            </select>
                        </div>
                    </td>
                </tr>
                <tr>
                    <th>
                        Chọn ảnh
                    </th>
                    <td>
                        <input type="file" name="image" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Chọn sơ đồ
                    </th>
                    <td>
                        <input type="file" name="diagram" required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Địa chỉ
                    </th>
                    <td>
                        <input type="text" name="area_address" class="form-control" required>
                    </td>
                </tr>
                <tr>
                    <td>
                        <button class="btn btn-info">Thêm khu vực</button>
                    </td>
                </tr>
            </table>
        </div>
    </form>
@endsection

resources/views/admin_manager/area/edit.blade.php
@extends('layout.admin')

@section('content')
    @if ($message = Session::get('error'))
        <div class="section cd-section section-notifications" id="notifications">
            <div class="alert alert-danger">
                <div>
                    <div class="alert-icon">
                        <i class="material-icons">check</i>
                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="material-icons">clear</i></span>
                    </button>
                    <h3>{{ $message }}</h3>
                </div>
            </div>
        </div>
    @endif
    <a href="/area" class="btn btn-primary">Quay lại</a>
    <h1>Sửa thông tin khu vực</h1>
    {{-- validate --}}
    @if ($errors->any())
        <div class="alert alert-danger">
            <ul>
                @foreach ($errors->all() as $error)
                    <li><span style="font-size: 19px">{{ $error }}</span></li>
                @endforeach
            </ul>
        </div>
    @endif
    <form action="{{ route('area.update', $area->id) }}" method="post" enctype="multipart/form-data">
        @method('PATCH')
        @csrf
        <div class="table-responsive">
            <table class="table table-striped">
                <tr>
                    <th>
                        Tên khu vực
                    </th>
                    <td>
                        <input type="text" name="area_name" value="{{ $area->area_name }}" class="form-control"
                            required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Chọn ảnh
                    </th>
                    <td>
                        <img src="{{ asset('images/' . $area->image_path) }}" style="width: 350px; height:350px">
                        <input type="file" name="image">
                        <input type="hidden" name="hidden_image" value="{{ $area->image_path }}">
                    </td>
                </tr>
                <tr>
                    <th>
                        Chọn sơ đồ
                    </th>
                    <td>
                        <img src="{{ asset('images/' . $area->diagram) }}" style="width: 350px; height:350px">
                        <input type="file" name="diagram">
                        <input type="hidden" name="hidden_diagram" value="{{ $area->diagram }}">
                    </td>
                </tr>
                <tr>
                    <th>
                        Địa chỉ
                    </th>
                    <td>
                        <input type="text" name="area_address" value="{{ $area->area_address }}" class="form-control"
                            required>
                    </td>
                </tr>
                <tr>
                    <th>
                        Trạng thái hoạt động
                    </th>
                    <td>
                        <input type="radio" name="del_flag" id="1" value="1" @if ($area->del_flag == 1) checked @endif><label for="1"
                            style="color: black"><b>Hoạt động</b></label>
                        <input type="radio" name="del_flag" id="0" value="0" @if ($area->del_flag == 0) checked @endif><label for="0"
                            style="color: black"><b>Dừng hoạt động</b></label>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <button class="btn btn-info">Cập nhật</button>
                    </td>
                </tr>
            </table>
        </div>
    </form>
@endsection

resources/views/admin_manager/area/index.blade.php
@extends('layout.admin')

@section('content')
    @if ($message = Session::get('success'))
        <div class="section cd-section section-notifications" id="notifications">
            <div class="alert alert-success">
                <div>
                    <div class="alert-icon">
                        <i class="material-icons">check</i>
                    </div>
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                        <span aria-hidden="true"><i class="material-icons">clear</i></span>
                    </button>
                    <h3>{{ $message }}</h3>
                </div>
            </div>
        </div>
    @endif
    <h1>Danh sách khu vực</h1>
    <form action="" method="get">
        <div class="col-md-3 col-sm-2">
            <select name="def_flag" class="selectpicker" data-style="btn btn-primary btn-round">
                <option value="1" @if ($del_flag == 1) selected @endif>Hoạt động</option>
                <option value="0" @if ($del_flag == 0) selected @endif>Không hoạt động</option>
            </select>
        </div>
        <div class="col-md-5 col-sm-2">
            <button class="btn btn-info">Chọn</button>
        </div>
    </form>
    <a href="{{ route('area.create') }}" class="btn btn-primary"><i class="material-icons">add_circle</i>Thêm khu vực</a>
    <div class="material-datatables">
        @if ($listArea->count() == 0)
            {{ 'Không có bản ghi' }}
        @else
            <div class="table-responsive">
                <table id="datatables" class="table table-striped table-no-bordered table-hover" cellspacing="0"
                    width="100%" style="width:100%">
                    <thead>
                        <tr>
                            <th>STT</th>
                            <th>Tên khu vực</th>
                            <th>Người quản lý</th>
                            <th>Ảnh</th>
                            <th>Sơ đồ</th>
                            <th>Địa chỉ</th>
                            <th>Trạng thái</th>
                            <th>Hành động</th>
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                            <th>STT</th>
                            <th>Tên khu vực</th>
                            <th>Người quản lý</th>
                            <th>Ảnh</th>
                            <th>Sơ đồ</th>
                            <th>Địa chỉ</th>
                            <th>Trạng thái</th>
                            <th>Hành động</th>
                        </tr>
                    </tfoot>
                    <tbody>
                        <?php $i = 0; ?>
                        @foreach ($listArea as $area)
                            <?php $i++; ?>
                            <tr>
                                <td>{{ $i }}</td>
                                <th>
                                    {{ $area->area_name }}
                                </th>
                                <td>
                                    {{ $area->name }}
                                </td>
                                <td>
                                    <img src="{{ asset('images/' . $area->image_path) }}"
                                        style="width:250px; height:250px;">
                                </td>
                                <td>
                                    <img src="{{ asset('images/' . $area->diagram) }}" style="width:250px; height:250px;">
                                </td>

                                <td>
                                    {{ $area->area_address }}
                                </td>
                                <td>
                                    {{ $area->area_del_flag == 1 ? 'Hoạt động' : 'Ngừng hoạt động' }}
                                </td>
                                <td>
                                    <a href="{{ route('area.edit', $area->area_id) }}">
                                        <button type="button" class="btn btn-success">
                                            <i class="material-icons">edit</i>
                                            Sửa
                                        </button>
                                    </a>
                                </td>
                            </tr>
                        @endforeach
                    </tbody>
                </table>
            </div>
        @endif
    </div>
@endsection